Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Object_Adapter.h File Reference

Object_Adapter.h,v 1.25 2002/10/28 19:23:21 irfan Exp. More...

`#include "ace/pre.h"`
`#include "portableserver_export.h"`
`#include "Key_Adapters.h"`
`#include "poa_macros.h"`
`#include "Servant_Base.h"`
`#include "Active_Object_Map.h"`
`#include "tao/Adapter.h"`
`#include "tao/Server_Strategy_Factory.h"`
`#include "tao/LocalObject.h"`
`#include "ace/Service_Config.h"`
`#include "Default_Policy_Validator.h"`
`#include "POA_Policy_Set.h"`
`#include "ace/post.h"`

Include dependency graph for Object_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Object_Adapter
| Defines the Object Adapter abstraction. More...
class | TAO_Object_Adapter::Active_Hint_Strategy
| This class uses active demux hint for POA active hint strategy. More...
class | TAO_Object_Adapter::Hint_Strategy
| Base class for POA active hint strategy. More...
class | TAO_Object_Adapter::iteratable_poa_name
| This class allows iteration over a folded poa name. More...
class | TAO_Object_Adapter::No_Hint_Strategy
| This class doesn't use any hints for POA active hint strategy. More...
class | TAO_Object_Adapter::Non_Servant_Upcall
| This class helps us with a recursive thread lock without using a recursive thread lock. Non_Servant_Upcall has a magic constructor and destructor. We unlock the Object_Adapter lock for the duration of the non-servant (i.e., adapter activator and servant activator) upcalls; reacquiring once the upcalls complete. Even though we are releasing the lock, other threads will not be able to make progress since <Object_Adapter::non_servant_upcall_in_progress_> has been set. More...
class | TAO_Object_Adapter::poa_name_iterator
| Iterator for a folded poa name. More...
class | TAO_Object_Adapter::Servant_Upcall
| This class finds out the POA and the servant to perform an upcall. It can only be instantiated without the object adapter's lock held. More...
class | TAO_Object_Adapter::Servant_Upcall::Pre_Invoke_State
| This struct keeps track of state related to pre- and post-invoke operations. More...
class | TAO_Object_Adapter_Factory
class | TAO_POA_Current
class | TAO_POA_Current_Impl
| Implementation of the PortableServer::Current object. More...
## Functions
| ACE_STATIC_SVC_DECLARE (TAO_Object_Adapter_Factory) ACE_FACTORY_DECLARE(TAO_PortableServer

## Detailed Description

Object_Adapter.h,v 1.25 2002/10/28 19:23:21 irfan Exp.

Author:
  Irfan Pyarali

## Function Documentation

ACE_STATIC_SVC_DECLARE | ( | TAO_Object_Adapter_Factory |  | ) |